FLAIM: Storage Format Conversion Functions

- Main Page
- Modules
- Classes
- Files

# Storage Format Conversion Functions
[Miscellaneous Functions]

## Functions
FLMEXP RCODE FLMAPI | FlmUINT2Storage (FLMUINT uiNum, FLMUINT *puiStorageLen, FLMBYTE *pucStorageBuf)
| Convert a FLMUINT value to FLAIM's internal storage format for numbers.
FLMEXP RCODE FLMAPI | FlmUINT64ToStorage (FLMUINT64 ui64Num, FLMUINT *puiStorageLen, FLMBYTE *pucStorageBuf)
| Convert a FLMUINT64 value to FLAIM's internal storage format for numbers.
FLMEXP RCODE FLMAPI | FlmINT2Storage (FLMINT iNum, FLMUINT *puiStorageLen, FLMBYTE *pucStorageBuf)
| Convert a FLMINT value to FLAIM's internal storage format for numbers.
FLMEXP RCODE FLMAPI | FlmINT64ToStorage (FLMINT64 i64Num, FLMUINT *puiStorageLen, FLMBYTE *pucStorageBuf)
| Convert a FLMINT64 value to FLAIM's internal storage format for numbers.
FLMEXP RCODE FLMAPI | FlmStorage2UINT (FLMUINT uiValueType, FLMUINT uiValueLength, const FLMBYTE *pucValue, FLMUINT *puiNum)
| Convert a value from FLAIM's internal format to a FLMUINT.
FLMEXP RCODE FLMAPI | FlmStorage2UINT32 (FLMUINT uiValueType, FLMUINT uiValueLength, const FLMBYTE *pucValue, FLMUINT32 *pui32Num)
| Convert a value from FLAIM's internal format to a FLMUINT32.
FLMEXP RCODE FLMAPI | FlmStorage2UINT64 (FLMUINT uiValueType, FLMUINT uiValueLength, const FLMBYTE *pucValue, FLMUINT64 *pui64Num)
| Convert a value from FLAIM's internal format to a FLMUINT64.
FLMEXP RCODE FLMAPI | FlmStorage2INT (FLMUINT uiValueType, FLMUINT uiValueLength, const FLMBYTE *pucValue, FLMINT *puiNum)
| Convert a value from FLAIM's internal format to a FLMINT.
FLMEXP RCODE FLMAPI | FlmStorage2INT32 (FLMUINT uiValueType, FLMUINT uiValueLength, const FLMBYTE *pucValue, FLMINT32 *pui32Num)
| Convert a value from FLAIM's internal format to a FLMINT32.
FLMEXP RCODE FLMAPI | FlmStorage2INT64 (FLMUINT uiValueType, FLMUINT uiValueLength, const FLMBYTE *pucValue, FLMINT64 *pui64Num)
| Convert a value from FLAIM's internal format to a FLMINT64.
FLMEXP RCODE FLMAPI | FlmUnicode2Storage (const FLMUNICODE *puzStr, FLMUINT *puiStorageLen, FLMBYTE *pucStorageBuf)
| Convert a unicode string to FLAIM's internal storage format.
FLMEXP FLMUINT FLMAPI | FlmGetUnicodeStorageLength (const FLMUNICODE *puzStr)
| Determine the number of bytes needed to store a unicode string in FLAIM's internal storage format.
FLMEXP RCODE FLMAPI | FlmStorage2Unicode (FLMUINT uiValueType, FLMUINT uiValueLength, const FLMBYTE *pucValue, FLMUINT *puiStrBufLen, FLMUNICODE *puzStrBuf)
| Convert a value from FLAIM's internal format to a unicode string.
FINLINE RCODE | FlmGetUnicodeLength (FLMUINT uiValueType, FLMUINT uiValueLength, const FLMBYTE *pucValue, FLMUINT *puiUniLength)
| Get the number of bytes needed to convert a value from FLAIM's internal format to a unicode string.
FLMEXP RCODE FLMAPI | FlmNative2Storage (const char *pszStr, FLMUINT uiStrLen, FLMUINT *puiStorageLen, FLMBYTE *pucStorageBuf)
| Convert a native string to FLAIM's internal storage format.
FLMEXP RCODE FLMAPI | FlmStorage2Native (FLMUINT uiValueType, FLMUINT uiValueLength, const FLMBYTE *pucValue, FLMUINT *puiStrBufLen, char *pszStrBuf)
| Convert a value from FLAIM's internal format to a native string.
FLMEXP FLMUINT FLMAPI | FlmGetNativeStorageLength (const char *pszStr)
| Determine the number of bytes needed to store a native string in FLAIM's internal storage format.
FINLINE RCODE | FlmGetNativeLength (FLMUINT uiValueType, FLMUINT uiValueLength, const FLMBYTE *pucValue, FLMUINT *puiStrLength)
| Get the number of bytes needed to convert a value from FLAIM's internal format to a native string.

## Function Documentation

FINLINE RCODE FlmGetNativeLength | ( | FLMUINT | uiValueType,
|  | FLMUINT | uiValueLength,
|  | const FLMBYTE * | pucValue,
|  | FLMUINT * | puiStrLength
| ) |

  | Get the number of bytes needed to convert a value from FLAIM's internal format to a native string. The value may be either a FLM_NUMBER_TYPE or a FLM_TEXT_TYPE. The length returned does NOT account for null-termination, so if the application is calling this routine to determine how big of a buffer to allocate, it should add 1 to the size returned from this routine. Parameters:
  uiValueType | Data type of value to be converted. May be either FLM_NUMBER_TYPE or FLM_TEXT_TYPE.
  uiValueLength | Length of value in bytes.
  pucValue | Data value.
  puiStrLength | String length is returned (in bytes). The length does not include what it would take for null-termination.

FLMEXP FLMUINT FLMAPI FlmGetNativeStorageLength | ( | const char * | pszStr | ) |

  | Determine the number of bytes needed to store a native string in FLAIM's internal storage format. Parameters:
  pszStr | Native string whose internal storage length is to be determined. It is expected that the string will be null-terminated.

FINLINE RCODE FlmGetUnicodeLength | ( | FLMUINT | uiValueType,
|  | FLMUINT | uiValueLength,
|  | const FLMBYTE * | pucValue,
|  | FLMUINT * | puiUniLength
| ) |

  | Get the number of bytes needed to convert a value from FLAIM's internal format to a unicode string. The value may be either a FLM_NUMBER_TYPE or a FLM_TEXT_TYPE. The length returned does NOT account for null-termination, so if the application is calling this routine to determine how big of a buffer to allocate, it should add 2 to the size returned from this routine. Parameters:
  uiValueType | Data type of value to be converted. May be either FLM_NUMBER_TYPE or FLM_TEXT_TYPE.
  uiValueLength | Length of value in bytes.
  pucValue | Data value.
  puiUniLength | Unicode length is returned (in bytes). The length does not include what it would take for null-termination.

FLMEXP FLMUINT FLMAPI FlmGetUnicodeStorageLength | ( | const FLMUNICODE * | puzStr | ) |

  | Determine the number of bytes needed to store a unicode string in FLAIM's internal storage format. Parameters:
  puzStr | Unicode string whose internal storage length is to be determined. It is expected that the string will be null-terminated.

FLMEXP RCODE FLMAPI FlmINT2Storage | ( | FLMINT | iNum,
|  | FLMUINT * | puiStorageLen,
|  | FLMBYTE * | pucStorageBuf
| ) |

  | Convert a FLMINT value to FLAIM's internal storage format for numbers. Parameters:
  iNum | Number to convert.
  puiStorageLen | On input, *puiStorageLen is the size of pucStorageBuf. It must be atleast F_MAX_NUM_BUF bytes. On output *puiStorageLen is set to the number of bytes used in pucStorageBuf.
  pucStorageBuf | Number converted to FLAIM's internal storage format is returned here.

FLMEXP RCODE FLMAPI FlmINT64ToStorage | ( | FLMINT64 | i64Num,
|  | FLMUINT * | puiStorageLen,
|  | FLMBYTE * | pucStorageBuf
| ) |

  | Convert a FLMINT64 value to FLAIM's internal storage format for numbers. Parameters:
  i64Num | Number to convert.
  puiStorageLen | On input, *puiStorageLen is the size of pucStorageBuf. It must be atleast F_MAX_NUM64_BUF bytes. On output *puiStorageLen is set to the number of bytes used in pucStorageBuf.
  pucStorageBuf | Number converted to FLAIM's internal storage format is returned here.

FLMEXP RCODE FLMAPI FlmNative2Storage | ( | const char * | pszStr,
|  | FLMUINT | uiStrLen,
|  | FLMUINT * | puiStorageLen,
|  | FLMBYTE * | pucStorageBuf
| ) |

  | Convert a native string to FLAIM's internal storage format. Parameters:
  pszStr | Native string that is to be converted.
  uiStrLen | Length (in bytes) of the native string. If zero, the string is expected to be NULL-terminated. *puiStorageLen contains number of bytes returned.
  puiStorageLen | On input, *puiStorageLen is length (in bytes) of pucStorageBuf. On output, *puiStorageLen contains number of bytes returned.
  pucStorageBuf | Converted string, in FLAIM's internal storage format, is returned here.

FLMEXP RCODE FLMAPI FlmStorage2INT | ( | FLMUINT | uiValueType,
|  | FLMUINT | uiValueLength,
|  | const FLMBYTE * | pucValue,
|  | FLMINT * | puiNum
| ) |

  | Convert a value from FLAIM's internal format to a FLMINT. Note that the value may be a FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE. Parameters:
  uiValueType | Data type of value being converted. May be FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE.
  uiValueLength | Length of value to be converted (in bytes).
  pucValue | Value to be converted. Data is expected to be in FLAIM's internal format.
  puiNum | Converted number is returned here.

FLMEXP RCODE FLMAPI FlmStorage2INT32 | ( | FLMUINT | uiValueType,
|  | FLMUINT | uiValueLength,
|  | const FLMBYTE * | pucValue,
|  | FLMINT32 * | pui32Num
| ) |

  | Convert a value from FLAIM's internal format to a FLMINT32. Note that the value may be a FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE. Parameters:
  uiValueType | Data type of value being converted. May be FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE.
  uiValueLength | Length of value to be converted (in bytes).
  pucValue | Value to be converted. Data is expected to be in FLAIM's internal format.
  pui32Num | Converted number is returned here.

FLMEXP RCODE FLMAPI FlmStorage2INT64 | ( | FLMUINT | uiValueType,
|  | FLMUINT | uiValueLength,
|  | const FLMBYTE * | pucValue,
|  | FLMINT64 * | pui64Num
| ) |

  | Convert a value from FLAIM's internal format to a FLMINT64. Note that the value may be a FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE. Parameters:
  uiValueType | Data type of value being converted. May be FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE.
  uiValueLength | Length of value to be converted (in bytes).
  pucValue | Value to be converted. Data is expected to be in FLAIM's internal format.
  pui64Num | Converted number is returned here.

FLMEXP RCODE FLMAPI FlmStorage2Native | ( | FLMUINT | uiValueType,
|  | FLMUINT | uiValueLength,
|  | const FLMBYTE * | pucValue,
|  | FLMUINT * | puiStrBufLen,
|  | char * | pszStrBuf
| ) |

  | Convert a value from FLAIM's internal format to a native string. Note that the value may be a FLM_NUMBER_TYPE, or FLM_TEXT_TYPE. Parameters:
  uiValueType | Data type of value being converted. May be FLM_NUMBER_TYPE or FLM_TEXT_TYPE.
  uiValueLength | Length of value to be converted (in bytes).
  pucValue | Value to be converted. Data is expected to be in FLAIM's internal format.
  puiStrBufLen | On input *puiStrBufLen should be the number of bytes available in buffer. The buffer should be large enough to hold a terminating null byte. On output *puiStrBufLen returns the number of bytes needed to hold the converted native string. The null termination byte is NOT included in this value.
  pszStrBuf | Buffer to hold the native string. NOTE: If this parameter is NULL then *puiStrBufLen will return the number of bytes needed to hold the string. However, that does NOT count the byte needed to null-terminate the string. Thus, if the application is calling this routine to find out how big of a buffer to allocate to hold the string, it should add 1 to the value returned in *puiStrBufLen.

FLMEXP RCODE FLMAPI FlmStorage2UINT | ( | FLMUINT | uiValueType,
|  | FLMUINT | uiValueLength,
|  | const FLMBYTE * | pucValue,
|  | FLMUINT * | puiNum
| ) |

  | Convert a value from FLAIM's internal format to a FLMUINT. Note that the value may be a FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE. Parameters:
  uiValueType | Data type of value being converted. May be FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE.
  uiValueLength | Length of value to be converted (in bytes).
  pucValue | Value to be converted. Data is expected to be in FLAIM's internal format.
  puiNum | Converted number is returned here.

FLMEXP RCODE FLMAPI FlmStorage2UINT32 | ( | FLMUINT | uiValueType,
|  | FLMUINT | uiValueLength,
|  | const FLMBYTE * | pucValue,
|  | FLMUINT32 * | pui32Num
| ) |

  | Convert a value from FLAIM's internal format to a FLMUINT32. Note that the value may be a FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE. Parameters:
  uiValueType | Data type of value being converted. May be FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE.
  uiValueLength | Length of value to be converted (in bytes).
  pucValue | Value to be converted. Data is expected to be in FLAIM's internal format.
  pui32Num | Converted number is returned here.

FLMEXP RCODE FLMAPI FlmStorage2UINT64 | ( | FLMUINT | uiValueType,
|  | FLMUINT | uiValueLength,
|  | const FLMBYTE * | pucValue,
|  | FLMUINT64 * | pui64Num
| ) |

  | Convert a value from FLAIM's internal format to a FLMUINT64. Note that the value may be a FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE. Parameters:
  uiValueType | Data type of value being converted. May be FLM_NUMBER_TYPE, FLM_TEXT_TYPE, or FLM_CONTEXT_TYPE.
  uiValueLength | Length of value to be converted (in bytes).
  pucValue | Value to be converted. Data is expected to be in FLAIM's internal format.
  pui64Num | Converted number is returned here.

FLMEXP RCODE FLMAPI FlmStorage2Unicode | ( | FLMUINT | uiValueType,
|  | FLMUINT | uiValueLength,
|  | const FLMBYTE * | pucValue,
|  | FLMUINT * | puiStrBufLen,
|  | FLMUNICODE * | puzStrBuf
| ) |

  | Convert a value from FLAIM's internal format to a unicode string. Note that the value may be a FLM_NUMBER_TYPE, or FLM_TEXT_TYPE. Parameters:
  uiValueType | Data type of data being converted. May be FLM_NUMBER_TYPE or FLM_TEXT_TYPE.
  uiValueLength | Length of value to be converted (in bytes).
  pucValue | Value to be converted. Data is expected to be in FLAIM's internal format.
  puiStrBufLen | On input *puiStrBufLen should be the number of bytes available in puzStrBuf. puzStrBuf should be large enough to hold a unicode null terminating character (2 bytes). On output *puiStrBufLen returns the number of bytes needed to hold the converted Unicode string. NOTE: The two null termination bytes are NOT included in this value.
  puzStrBuf | Buffer to hold the Unicode string. NOTE: If this parameter is NULL then *puiStrBufLen will return the number of bytes needed to hold the string. However, that does NOT count the two bytes needed to null-terminate the string. Thus, if the application is calling this routine to find out how big of a buffer to allocate to hold the string, it should add 2 to the value returned in *puiStrBufLen.

FLMEXP RCODE FLMAPI FlmUINT2Storage | ( | FLMUINT | uiNum,
|  | FLMUINT * | puiStorageLen,
|  | FLMBYTE * | pucStorageBuf
| ) |

  | Convert a FLMUINT value to FLAIM's internal storage format for numbers. Parameters:
  uiNum | Number to convert.
  puiStorageLen | On input, *puiStorageLen is the size of pucStorageBuf. It must be atleast F_MAX_NUM_BUF bytes. On output *puiStorageLen is set to the number of bytes used in pucStorageBuf.
  pucStorageBuf | Number converted to FLAIM's internal storage format is returned here.

FLMEXP RCODE FLMAPI FlmUINT64ToStorage | ( | FLMUINT64 | ui64Num,
|  | FLMUINT * | puiStorageLen,
|  | FLMBYTE * | pucStorageBuf
| ) |

  | Convert a FLMUINT64 value to FLAIM's internal storage format for numbers. Parameters:
  ui64Num | Number to convert.
  puiStorageLen | On input, *puiStorageLen is the size of pucStorageBuf. It must be atleast F_MAX_NUM64_BUF bytes. On output *puiStorageLen is set to the number of bytes used in pucStorageBuf.
  pucStorageBuf | Number converted to FLAIM's internal storage format is returned here.

FLMEXP RCODE FLMAPI FlmUnicode2Storage | ( | const FLMUNICODE * | puzStr,
|  | FLMUINT * | puiStorageLen,
|  | FLMBYTE * | pucStorageBuf
| ) |

  | Convert a unicode string to FLAIM's internal storage format. Parameters:
  puzStr | Unicode string that is to be converted. FLAIM expects the string to be null-terminated.
  puiStorageLen | On input, *puiStorageLen is length (in bytes) of pucStorageBuf. On output, *puiStorageLen contains number of bytes returned.
  pucStorageBuf | Converted string, in FLAIM's internal storage format, is returned here.